Subject: YES Fossil walrus or sea lion in Gulf of Mexico?]
From: Fite <[email-masked]>
To: Suzanne Bolton <[email-masked]>
Date: Mon, 21 Jun 2010 18:03:59 -0400

YES walruses were in Florida in fossil times-3 million years ago.  
Richard Hulbert at the University of Florida Museum of Natural history  
can give you details. He can be reached at 352 273-1930 or [email-masked] 
.
His book "The Fossil Vertebrates of Florida"  tells all about them.
Barbara
I have several walrus tusks I found in the Sarasota area.

On Jun 21, 2010, at 3:41 PM, Suzanne Bolton wrote:

> Well?  SUZ
>
> -------- Original Message --------
> Subject:	[MARMAM] Fossil walrus or sea lion in Gulf of Mexico?
> Date:	Mon, 14 Jun 2010 13:04:59 -0400
> From:	Gene Buck <[email-masked]>
> To:	[email-masked]
>
> I have a congressional office asking whether there are any fossil  
> records of any species of walrus and/or sea lion ever occurring in  
> the Gulf of Mexico, or what has become the Gulf of Mexico? I haven't  
> been able to locate any references to such, but need to check to see  
> if anyone might have run across such a record.
>
> Gene Buck, specialist in natural resources policy
> Congressional Research Service
> Washington, DC
>
>
> _______________________________________________
> MARMAM mailing list
> [email-masked]
> https://lists.uvic.ca/mailman/listinfo/marmam